#!/bin/sh

. /argus/config/argus.config
# check for N copies of each file

# do this priority order since we want highest priority last
# so that lower priority drives lose files
for drv in `argus-listdrives-pri.sh rev`
do
  cd /argus/mnt/${drv}
  for ShortName in *.ISO *.iso
  do
	  if [ -f ${ShortName} ]
	  then
	    
	      Num="`argus-countlocations.sh ${ShortName}`"
	      if [ ${Num} -gt ${RequiredLocations} ]
	      then
	        echo "Deleteing ${drv} ${ShortName}"
	        rm /argus/mnt/${drv}/${ShortName}
	      fi
	  fi
  done
done


