#!/bin/sh

. /root/argus/argus.config

Src=$1
Dst=$2
if [ -z "${Dst}" ]
then
  echo "syntax: argus-rename.sh <src> <dst>"
  exit 1
fi

if [ -e /argus/md5/${Src}.ISO.md5 ]
then
  mv /argus/md5/${Src}.ISO.md5 /argus/md5/${Dst}.ISO.md5
fi 
rm -f /argus/movies/ALL/${Src}.tag
rm -f /argus/movies/ALL/${Src}.ISO

for drv in `argus-listdrives.sh`
do
  if [ -f /argus/mnt/${drv}/${Src}.ISO ]
  then
    mv /argus/mnt/${drv}/${Src}.ISO /argus/mnt/${drv}/${Dst}.ISO
    echo "/argus/mnt/${drv}/${Src}.ISO /argus/mnt/${drv}/${Dst}.ISO"
  fi

done

