#!/bin/sh


drv=$1
if [ -z "${drv}" ]
then
  echo "syntax: argus-testdrv.sh <drv>"
  exit 1
fi

echo "Testing ${drv}"
Start="`date +%s`"

rm -f /argus/mnt/${drv}/100mb.test /argus/mnt/${drv}/1gb.test
java -jar /argus/bin/FileCopy.jar /argus/test /argus/mnt/${drv} 1gb.test /argus/md5

End="`date +%s`"
Elapsed=$(($End - $Start))
echo "Time: $Elapsed Seconds"

Rating=$((1000 - $Elapsed))
rm -f /argus/mnt/${drv}/100mb.test /argus/mnt/${drv}/1gb.test
#echo "${drv}:${Rating}" >> /argus/config/prilist

echo ""
