#!/bin/sh

dev=$1
tag=$2

if [ -z "$2" ]
then
  echo "arguswrite.sh <dev> <tag>"
  exit 1
fi

if argusread $dev
then
  echo "already tagged" 
  exit 1
fi

cd /tmp
dd if=/dev/zero of=zoot bs=512 count=1 2>>/dev/null
argustag zoot $tag
dd if=zoot of=$dev 2>>/dev/null

argusread $dev

newfs -U -b 65536 -f 8192 -i 262144 -m 0 -o space $dev
