#include <iostream>


#include "util.h"

using namespace std;

int main(int argc, char* argv[])
{
    if (argc!=3)
    {
        cout << "syntax: argustag <device> <name>" << endl;
        return 1;
    }
    char* dev=argv[1];
    char* tag=argv[2];

    char *Tagged=readDev(dev);
    if (Tagged!=NULL)
    {
        cout << "Device already tagged: " << Tagged << endl;
        return -1;
    }

    if (writeDev(dev,tag))
    {
        cout << "Tagged " << dev << " as " << tag << endl;
    }
    else
    {
        cout << "Tag write failed." << endl;
        return -2;
    }




}

