#include <iostream>
#include <sstream>
#include <string>
#include <map>
#include <set>
#include <vector>

using namespace std;

map<string,set<string> > M;

unsigned int RequiredLocations;

void addline(string line)
{

    int len=line.size();
    if (len < 3) return;
    if (line[len-3]!='I') return;
    if (line[len-2]!='S') return;
    if (line[len-1]!='O') return;



    vector<int> SlashLocs;
    for(int i=0; i<len; i++)
    {
        if (line[i]=='/') SlashLocs.push_back(i);
    }

    if (SlashLocs.size() == 0)
    {
        M[line].size();
    }

    if (SlashLocs.size() != 2) return;


    string dev=line.substr(SlashLocs[0]+1, SlashLocs[1]-SlashLocs[0]-1);
    string file=line.substr(SlashLocs[1]+1, len - SlashLocs[1]);

    M[file].insert(dev);



}

int main(int argc, char* argv[])
{
    if (argc != 2)
    {
        cout << "Syntax: n - required locations" << endl;
        return -1;
    }
    RequiredLocations=atoi(argv[1]);

    while(cin)
    {
        string line;
        getline(cin,line);
        addline(line);
    }

    for(map<string,set<string> >::iterator I=M.begin(); I!=M.end(); I++)
    {
        if (I->second.size() != RequiredLocations)
        {
            cout << I->first << ": " << I->second.size() << endl;
        }

    }

}

