#include <iostream>
#include <cassert>
#include <fcntl.h>
#include <unistd.h>
#include <errno.h>
#include <stdio.h>
#include "util.h"

using namespace std;

extern int errno;


char* readDev(char* dev)
{

    FILE* F=fopen(dev,"r");
    if (F==0) return 0;
    int DriveTag;


    if (fread(&DriveTag,sizeof(int),1,F)!=1) return 0;


    if (DriveTag!=TAGID) return 0;

    //cout << DriveTag << " " << TAGID << endl;
    int Sz;

    if (fread(&Sz,sizeof(int),1,F)!=1) return 0;
    //cout << Sz << endl;

    char* T=new char[Sz];
    if (fread(T,Sz,1,F)!=1) return 0;

    return T;





}



bool writeDev(char* dev, char* tag)
{

    FILE* F=fopen(dev,"r+");
    if (F==0) return false;

    fseek(F,0,SEEK_SET);

    if (fwrite(&TAGID,sizeof(int),1,F)!=1) return false;

    int Sz=strlen(tag);
    Sz++;
    if (fwrite(&Sz,sizeof(int),1,F)!=1) return false;
    if (fwrite(tag,Sz,1,F)!=1) return false;

    fflush(F);
    fclose(F);
    return true;


}
