#!/bin/sh

. /argus/config/argus.config

if [ ! -z "$1" ]
then
  ImportPath="$1"
fi

# import files
mkdir -p ${ImportPath}
cd ${ImportPath}
for ShortName in `ls *.ISO`
do
  
  if [ -f ${ShortName} ] && [ ! -h ${ShortName} ]
  then
    Base="`echo "${ShortName}"|rev|cut -d "." -f 2-80|rev`"
    if [ "${ImportNeedsMDS}" = "no" ] || [ -e ${Base}.MDS ]
    then
      Num="`argus-countlocations.sh ${ShortName}`"
      echo "${ShortName} is in ${Num} places"
      if [ ${Num} -lt ${RequiredLocations} ]
      then
        Add=$((${RequiredLocations}-${Num}))
        argus-placefile.sh ${ShortName} 1 ${ImportPath}
      fi
      Num="`argus-countlocations.sh ${ShortName}`"
      if [ ${Num} -ge 1 ] && [ "${ImportRM}" = "yes" ]
      then
        rm ${ShortName} ${Base}.MDS
      fi
    fi
  fi
done

