#!/bin/sh

# Lists drives in ascending order of priority (high priority last)
# unless "rev" flag is passed, then descending

SortOpts=""
if [ "$1" = "rev" ]
then
  SortOpts="-r"
fi


argus-listdrives.sh | prilist ${SortOpts}

exit 0
List="`argus-listdrives.sh`"
PriData="`cat /argus/config/prilist`"
OutList=""

for drv in $List
do
  pri=100
  for priline in $PriData
  do
    d="`echo $priline|cut -d ":" -f 1`"
    p="`echo $priline|cut -d ":" -f 2`"
    if [ "$d" = "$drv" ]
    then
      pri="$p"
    fi
  done
  OutList="$OutList $pri:$drv"
  #echo "$pri:$drv"
done
echo $OutList|tr " " "\n"|sort -n ${SortOpts}|cut -d ":" -f 2



