#!/bin/sh

echo -n "" > /etc/exports
echo "/mnt/import -maproot=0 biclops" >> /etc/exports

for drv in `argus-listdrives.sh`
do
  umount /argus/mnt/${drv}
done 

name="`hostname|cut -d "." -f 1`"

echo -n "" > /argus/drivelist.${name}
cd /dev
for dev in sd? hd? ad*
do
  echo $dev
  
  Tag="`argusread /dev/$dev`"
  ret=$?
  if [ $ret -eq 0 ]
  then
    if [ "FreeBSD" = "`uname`" ]
    then
        if [ ! -e /dev/${dev}s1 ]
        then
	  echo "Mounting ${dev} as ${Tag}"
	  fsck_ufs /dev/${dev}
	  mkdir -p /argus/mnt/${Tag}
	  mount /dev/${dev} /argus/mnt/${Tag}
	  echo "/argus/mnt/${Tag} -maproot=0 biclops argus-n0" >> /etc/exports
	  echo "${name}:${Tag}" >> /argus/drivelist.${name}
	fi
	
    else
    
    
	    echo "Mounting ${dev} as ${Tag}"
	    hdparm -d /dev/$dev|tr "\n" " "|grep dma
	    mkdir -p /argus/mnt/${Tag}
	    mount /dev/${dev}1 /argus/mnt/${Tag}
	    echo "/argus/mnt/${Tag} 10.134.3.0/24(rw,sync,no_root_squash)" >>/etc/exports    
	    echo "/argus/mnt/${Tag} 10.134.0.0/16(ro,sync,all_squash)" >>/etc/exports
    fi
    
  fi
done

#/etc/init.d/nfs reload

#argus-listdrives.sh > /argus/drivelist

#argus-netmount.sh

killall mountd; mountd -r
