#!/bin/sh

export PATH=/sbin:/usr/sbin:/root/argus:/bin:/usr/bin:/usr/local/sbin:/usr/local/bin:/usr/X11R6/bin

CHECKED=0
DATECMD="date +%Y%m%d.%H%M%S"
LOG="/argus/checkdrive.log"

while [ $CHECKED -lt 1 ]
do

  DRV="`(argus-listdrives-pri.sh; cat /argus/checkdrive.log |grep "all passed"|cut -d ":" -f 1) | findunchecked`"
  echo "Selected ${DRV}"


  cd /argus
  LINE="`cat drivelist.*|grep ":${DRV}$"`"
  SYS="`echo "$LINE"|cut -d ":" -f 1`"

  if [ ! -z "${SYS}" ]
  then
    echo "Running check for ${DRV} on ${SYS}"
    ssh ${SYS} /root/argus/argus-checkdrive.sh ${DRV}
    CHECKED=1
  else
    echo "Drive not mounted"
    echo "${DRV}: `${DATECMD}` not mounted" >> $LOG
    echo "${DRV}: `${DATECMD}` all passed" >> $LOG
  fi

done
